const globalSigner = signer => ({
  install(metaplex) {
    metaplex.use(identitySigner(signer));
    metaplex.use(payerSigner(signer));
  }
});
const identitySigner = signer => ({
  install(metaplex) {
    metaplex.identity = signer;
  }
});
const payerSigner = signer => ({
  install(metaplex) {
    metaplex.payer = signer;
  }
});

export { globalSigner, identitySigner, payerSigner };
//# sourceMappingURL=SignerPlugins.mjs.map
